﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace laboratoire1
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="elearning")]
	public partial class linqDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void InsertNivScolaire(NivScolaire instance);
    partial void UpdateNivScolaire(NivScolaire instance);
    partial void DeleteNivScolaire(NivScolaire instance);
    partial void InsertCour(Cour instance);
    partial void UpdateCour(Cour instance);
    partial void DeleteCour(Cour instance);
    partial void InsertStudent(Student instance);
    partial void UpdateStudent(Student instance);
    partial void DeleteStudent(Student instance);
    partial void InsertVideo(Video instance);
    partial void UpdateVideo(Video instance);
    partial void DeleteVideo(Video instance);
    partial void InsertSolutionnaire(Solutionnaire instance);
    partial void UpdateSolutionnaire(Solutionnaire instance);
    partial void DeleteSolutionnaire(Solutionnaire instance);
    partial void InsertNotesCour(NotesCour instance);
    partial void UpdateNotesCour(NotesCour instance);
    partial void DeleteNotesCour(NotesCour instance);
    partial void InsertLabo(Labo instance);
    partial void UpdateLabo(Labo instance);
    partial void DeleteLabo(Labo instance);
    partial void InsertExercice(Exercice instance);
    partial void UpdateExercice(Exercice instance);
    partial void DeleteExercice(Exercice instance);
    partial void Insertprof(prof instance);
    partial void Updateprof(prof instance);
    partial void Deleteprof(prof instance);
    #endregion
		
		public linqDataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["elearningConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public linqDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<NivScolaire> NivScolaires
		{
			get
			{
				return this.GetTable<NivScolaire>();
			}
		}
		
		public System.Data.Linq.Table<Cour> Cours
		{
			get
			{
				return this.GetTable<Cour>();
			}
		}
		
		public System.Data.Linq.Table<Student> Students
		{
			get
			{
				return this.GetTable<Student>();
			}
		}
		
		public System.Data.Linq.Table<Video> Videos
		{
			get
			{
				return this.GetTable<Video>();
			}
		}
		
		public System.Data.Linq.Table<Solutionnaire> Solutionnaires
		{
			get
			{
				return this.GetTable<Solutionnaire>();
			}
		}
		
		public System.Data.Linq.Table<NotesCour> NotesCours
		{
			get
			{
				return this.GetTable<NotesCour>();
			}
		}
		
		public System.Data.Linq.Table<Labo> Labos
		{
			get
			{
				return this.GetTable<Labo>();
			}
		}
		
		public System.Data.Linq.Table<Exercice> Exercices
		{
			get
			{
				return this.GetTable<Exercice>();
			}
		}
		
		public System.Data.Linq.Table<prof> profs
		{
			get
			{
				return this.GetTable<prof>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.NivScolaire")]
	public partial class NivScolaire : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _IdNivScolaire;
		
		private string _nom;
		
		private System.Nullable<int> _idCours;
		
		private EntitySet<Student> _Students;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdNivScolaireChanging(int value);
    partial void OnIdNivScolaireChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    #endregion
		
		public NivScolaire()
		{
			this._Students = new EntitySet<Student>(new Action<Student>(this.attach_Students), new Action<Student>(this.detach_Students));
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdNivScolaire", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int IdNivScolaire
		{
			get
			{
				return this._IdNivScolaire;
			}
			set
			{
				if ((this._IdNivScolaire != value))
				{
					this.OnIdNivScolaireChanging(value);
					this.SendPropertyChanging();
					this._IdNivScolaire = value;
					this.SendPropertyChanged("IdNivScolaire");
					this.OnIdNivScolaireChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(20)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="NivScolaire_Student", Storage="_Students", ThisKey="IdNivScolaire", OtherKey="IdNivScolaire")]
		public EntitySet<Student> Students
		{
			get
			{
				return this._Students;
			}
			set
			{
				this._Students.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_NivScolaire", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.NivScolaires.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.NivScolaires.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_Students(Student entity)
		{
			this.SendPropertyChanging();
			entity.NivScolaire = this;
		}
		
		private void detach_Students(Student entity)
		{
			this.SendPropertyChanging();
			entity.NivScolaire = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Cours")]
	public partial class Cour : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _IdCours;
		
		private string _nom;
		
		private string _description;
		
		private System.Nullable<int> _IdProf;
		
		private System.Nullable<int> _IdNivScolaire;
		
		private EntitySet<NivScolaire> _NivScolaires;
		
		private EntitySet<Video> _Videos;
		
		private EntitySet<Solutionnaire> _Solutionnaires;
		
		private EntitySet<NotesCour> _NotesCours;
		
		private EntitySet<Labo> _Labos;
		
		private EntitySet<Exercice> _Exercices;
		
		private EntityRef<prof> _prof;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdCoursChanging(int value);
    partial void OnIdCoursChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OndescriptionChanging(string value);
    partial void OndescriptionChanged();
    partial void OnIdProfChanging(System.Nullable<int> value);
    partial void OnIdProfChanged();
    partial void OnIdNivScolaireChanging(System.Nullable<int> value);
    partial void OnIdNivScolaireChanged();
    #endregion
		
		public Cour()
		{
			this._NivScolaires = new EntitySet<NivScolaire>(new Action<NivScolaire>(this.attach_NivScolaires), new Action<NivScolaire>(this.detach_NivScolaires));
			this._Videos = new EntitySet<Video>(new Action<Video>(this.attach_Videos), new Action<Video>(this.detach_Videos));
			this._Solutionnaires = new EntitySet<Solutionnaire>(new Action<Solutionnaire>(this.attach_Solutionnaires), new Action<Solutionnaire>(this.detach_Solutionnaires));
			this._NotesCours = new EntitySet<NotesCour>(new Action<NotesCour>(this.attach_NotesCours), new Action<NotesCour>(this.detach_NotesCours));
			this._Labos = new EntitySet<Labo>(new Action<Labo>(this.attach_Labos), new Action<Labo>(this.detach_Labos));
			this._Exercices = new EntitySet<Exercice>(new Action<Exercice>(this.attach_Exercices), new Action<Exercice>(this.detach_Exercices));
			this._prof = default(EntityRef<prof>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdCours", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int IdCours
		{
			get
			{
				return this._IdCours;
			}
			set
			{
				if ((this._IdCours != value))
				{
					this.OnIdCoursChanging(value);
					this.SendPropertyChanging();
					this._IdCours = value;
					this.SendPropertyChanged("IdCours");
					this.OnIdCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(100)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_description", DbType="VarChar(500)")]
		public string description
		{
			get
			{
				return this._description;
			}
			set
			{
				if ((this._description != value))
				{
					this.OndescriptionChanging(value);
					this.SendPropertyChanging();
					this._description = value;
					this.SendPropertyChanged("description");
					this.OndescriptionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdProf", DbType="Int")]
		public System.Nullable<int> IdProf
		{
			get
			{
				return this._IdProf;
			}
			set
			{
				if ((this._IdProf != value))
				{
					if (this._prof.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnIdProfChanging(value);
					this.SendPropertyChanging();
					this._IdProf = value;
					this.SendPropertyChanged("IdProf");
					this.OnIdProfChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdNivScolaire", DbType="Int")]
		public System.Nullable<int> IdNivScolaire
		{
			get
			{
				return this._IdNivScolaire;
			}
			set
			{
				if ((this._IdNivScolaire != value))
				{
					this.OnIdNivScolaireChanging(value);
					this.SendPropertyChanging();
					this._IdNivScolaire = value;
					this.SendPropertyChanged("IdNivScolaire");
					this.OnIdNivScolaireChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_NivScolaire", Storage="_NivScolaires", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<NivScolaire> NivScolaires
		{
			get
			{
				return this._NivScolaires;
			}
			set
			{
				this._NivScolaires.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Video", Storage="_Videos", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<Video> Videos
		{
			get
			{
				return this._Videos;
			}
			set
			{
				this._Videos.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Solutionnaire", Storage="_Solutionnaires", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<Solutionnaire> Solutionnaires
		{
			get
			{
				return this._Solutionnaires;
			}
			set
			{
				this._Solutionnaires.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_NotesCour", Storage="_NotesCours", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<NotesCour> NotesCours
		{
			get
			{
				return this._NotesCours;
			}
			set
			{
				this._NotesCours.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Labo", Storage="_Labos", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<Labo> Labos
		{
			get
			{
				return this._Labos;
			}
			set
			{
				this._Labos.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Exercice", Storage="_Exercices", ThisKey="IdCours", OtherKey="idCours")]
		public EntitySet<Exercice> Exercices
		{
			get
			{
				return this._Exercices;
			}
			set
			{
				this._Exercices.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="prof_Cour", Storage="_prof", ThisKey="IdProf", OtherKey="IdProf", IsForeignKey=true)]
		public prof prof
		{
			get
			{
				return this._prof.Entity;
			}
			set
			{
				prof previousValue = this._prof.Entity;
				if (((previousValue != value) 
							|| (this._prof.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._prof.Entity = null;
						previousValue.Cours.Remove(this);
					}
					this._prof.Entity = value;
					if ((value != null))
					{
						value.Cours.Add(this);
						this._IdProf = value.IdProf;
					}
					else
					{
						this._IdProf = default(Nullable<int>);
					}
					this.SendPropertyChanged("prof");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_NivScolaires(NivScolaire entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_NivScolaires(NivScolaire entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
		
		private void attach_Videos(Video entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_Videos(Video entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
		
		private void attach_Solutionnaires(Solutionnaire entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_Solutionnaires(Solutionnaire entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
		
		private void attach_NotesCours(NotesCour entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_NotesCours(NotesCour entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
		
		private void attach_Labos(Labo entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_Labos(Labo entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
		
		private void attach_Exercices(Exercice entity)
		{
			this.SendPropertyChanging();
			entity.Cour = this;
		}
		
		private void detach_Exercices(Exercice entity)
		{
			this.SendPropertyChanging();
			entity.Cour = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Student")]
	public partial class Student : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _prenom;
		
		private string _email;
		
		private string _username;
		
		private string _password;
		
		private int _IdNivScolaire;
		
		private System.Nullable<int> _nbconnect;
		
		private EntityRef<NivScolaire> _NivScolaire;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnprenomChanging(string value);
    partial void OnprenomChanged();
    partial void OnemailChanging(string value);
    partial void OnemailChanged();
    partial void OnusernameChanging(string value);
    partial void OnusernameChanged();
    partial void OnpasswordChanging(string value);
    partial void OnpasswordChanged();
    partial void OnIdNivScolaireChanging(int value);
    partial void OnIdNivScolaireChanged();
    partial void OnnbconnectChanging(System.Nullable<int> value);
    partial void OnnbconnectChanged();
    #endregion
		
		public Student()
		{
			this._NivScolaire = default(EntityRef<NivScolaire>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(50)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_prenom", DbType="VarChar(50)")]
		public string prenom
		{
			get
			{
				return this._prenom;
			}
			set
			{
				if ((this._prenom != value))
				{
					this.OnprenomChanging(value);
					this.SendPropertyChanging();
					this._prenom = value;
					this.SendPropertyChanged("prenom");
					this.OnprenomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_email", DbType="VarChar(50)")]
		public string email
		{
			get
			{
				return this._email;
			}
			set
			{
				if ((this._email != value))
				{
					this.OnemailChanging(value);
					this.SendPropertyChanging();
					this._email = value;
					this.SendPropertyChanged("email");
					this.OnemailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_username", DbType="VarChar(50)")]
		public string username
		{
			get
			{
				return this._username;
			}
			set
			{
				if ((this._username != value))
				{
					this.OnusernameChanging(value);
					this.SendPropertyChanging();
					this._username = value;
					this.SendPropertyChanged("username");
					this.OnusernameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_password", DbType="VarChar(50)")]
		public string password
		{
			get
			{
				return this._password;
			}
			set
			{
				if ((this._password != value))
				{
					this.OnpasswordChanging(value);
					this.SendPropertyChanging();
					this._password = value;
					this.SendPropertyChanged("password");
					this.OnpasswordChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdNivScolaire", DbType="Int NOT NULL")]
		public int IdNivScolaire
		{
			get
			{
				return this._IdNivScolaire;
			}
			set
			{
				if ((this._IdNivScolaire != value))
				{
					if (this._NivScolaire.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnIdNivScolaireChanging(value);
					this.SendPropertyChanging();
					this._IdNivScolaire = value;
					this.SendPropertyChanged("IdNivScolaire");
					this.OnIdNivScolaireChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nbconnect", DbType="Int")]
		public System.Nullable<int> nbconnect
		{
			get
			{
				return this._nbconnect;
			}
			set
			{
				if ((this._nbconnect != value))
				{
					this.OnnbconnectChanging(value);
					this.SendPropertyChanging();
					this._nbconnect = value;
					this.SendPropertyChanged("nbconnect");
					this.OnnbconnectChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="NivScolaire_Student", Storage="_NivScolaire", ThisKey="IdNivScolaire", OtherKey="IdNivScolaire", IsForeignKey=true)]
		public NivScolaire NivScolaire
		{
			get
			{
				return this._NivScolaire.Entity;
			}
			set
			{
				NivScolaire previousValue = this._NivScolaire.Entity;
				if (((previousValue != value) 
							|| (this._NivScolaire.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._NivScolaire.Entity = null;
						previousValue.Students.Remove(this);
					}
					this._NivScolaire.Entity = value;
					if ((value != null))
					{
						value.Students.Add(this);
						this._IdNivScolaire = value.IdNivScolaire;
					}
					else
					{
						this._IdNivScolaire = default(int);
					}
					this.SendPropertyChanged("NivScolaire");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Video")]
	public partial class Video : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _url;
		
		private System.Nullable<int> _idCours;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnurlChanging(string value);
    partial void OnurlChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    #endregion
		
		public Video()
		{
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(50)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_url", DbType="VarChar(200)")]
		public string url
		{
			get
			{
				return this._url;
			}
			set
			{
				if ((this._url != value))
				{
					this.OnurlChanging(value);
					this.SendPropertyChanging();
					this._url = value;
					this.SendPropertyChanged("url");
					this.OnurlChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Video", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.Videos.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.Videos.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Solutionnaire")]
	public partial class Solutionnaire : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _url;
		
		private System.Nullable<int> _idCours;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnurlChanging(string value);
    partial void OnurlChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    #endregion
		
		public Solutionnaire()
		{
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(50)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_url", DbType="VarChar(200)")]
		public string url
		{
			get
			{
				return this._url;
			}
			set
			{
				if ((this._url != value))
				{
					this.OnurlChanging(value);
					this.SendPropertyChanging();
					this._url = value;
					this.SendPropertyChanged("url");
					this.OnurlChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Solutionnaire", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.Solutionnaires.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.Solutionnaires.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.NotesCours")]
	public partial class NotesCour : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private System.Nullable<int> _idCours;
		
		private string _notes;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    partial void OnnotesChanging(string value);
    partial void OnnotesChanged();
    #endregion
		
		public NotesCour()
		{
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_notes", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string notes
		{
			get
			{
				return this._notes;
			}
			set
			{
				if ((this._notes != value))
				{
					this.OnnotesChanging(value);
					this.SendPropertyChanging();
					this._notes = value;
					this.SendPropertyChanged("notes");
					this.OnnotesChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_NotesCour", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.NotesCours.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.NotesCours.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Labo")]
	public partial class Labo : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _url;
		
		private System.Nullable<int> _idCours;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnurlChanging(string value);
    partial void OnurlChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    #endregion
		
		public Labo()
		{
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL", IsPrimaryKey=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(50)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_url", DbType="VarChar(200)")]
		public string url
		{
			get
			{
				return this._url;
			}
			set
			{
				if ((this._url != value))
				{
					this.OnurlChanging(value);
					this.SendPropertyChanging();
					this._url = value;
					this.SendPropertyChanged("url");
					this.OnurlChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Labo", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.Labos.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.Labos.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Exercice")]
	public partial class Exercice : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _description;
		
		private System.Nullable<int> _idCours;
		
		private EntityRef<Cour> _Cour;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OndescriptionChanging(string value);
    partial void OndescriptionChanged();
    partial void OnidCoursChanging(System.Nullable<int> value);
    partial void OnidCoursChanged();
    #endregion
		
		public Exercice()
		{
			this._Cour = default(EntityRef<Cour>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(100)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_description", DbType="VarChar(300)")]
		public string description
		{
			get
			{
				return this._description;
			}
			set
			{
				if ((this._description != value))
				{
					this.OndescriptionChanging(value);
					this.SendPropertyChanging();
					this._description = value;
					this.SendPropertyChanged("description");
					this.OndescriptionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idCours", DbType="Int")]
		public System.Nullable<int> idCours
		{
			get
			{
				return this._idCours;
			}
			set
			{
				if ((this._idCours != value))
				{
					if (this._Cour.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnidCoursChanging(value);
					this.SendPropertyChanging();
					this._idCours = value;
					this.SendPropertyChanged("idCours");
					this.OnidCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Cour_Exercice", Storage="_Cour", ThisKey="idCours", OtherKey="IdCours", IsForeignKey=true)]
		public Cour Cour
		{
			get
			{
				return this._Cour.Entity;
			}
			set
			{
				Cour previousValue = this._Cour.Entity;
				if (((previousValue != value) 
							|| (this._Cour.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Cour.Entity = null;
						previousValue.Exercices.Remove(this);
					}
					this._Cour.Entity = value;
					if ((value != null))
					{
						value.Exercices.Add(this);
						this._idCours = value.IdCours;
					}
					else
					{
						this._idCours = default(Nullable<int>);
					}
					this.SendPropertyChanged("Cour");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.prof")]
	public partial class prof : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _IdProf;
		
		private string _nom;
		
		private string _prenom;
		
		private string _email;
		
		private string _username;
		
		private string _password;
		
		private EntitySet<Cour> _Cours;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdProfChanging(int value);
    partial void OnIdProfChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnprenomChanging(string value);
    partial void OnprenomChanged();
    partial void OnemailChanging(string value);
    partial void OnemailChanged();
    partial void OnusernameChanging(string value);
    partial void OnusernameChanged();
    partial void OnpasswordChanging(string value);
    partial void OnpasswordChanged();
    #endregion
		
		public prof()
		{
			this._Cours = new EntitySet<Cour>(new Action<Cour>(this.attach_Cours), new Action<Cour>(this.detach_Cours));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdProf", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int IdProf
		{
			get
			{
				return this._IdProf;
			}
			set
			{
				if ((this._IdProf != value))
				{
					this.OnIdProfChanging(value);
					this.SendPropertyChanging();
					this._IdProf = value;
					this.SendPropertyChanged("IdProf");
					this.OnIdProfChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(50)")]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_prenom", DbType="VarChar(50)")]
		public string prenom
		{
			get
			{
				return this._prenom;
			}
			set
			{
				if ((this._prenom != value))
				{
					this.OnprenomChanging(value);
					this.SendPropertyChanging();
					this._prenom = value;
					this.SendPropertyChanged("prenom");
					this.OnprenomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_email", DbType="VarChar(50)")]
		public string email
		{
			get
			{
				return this._email;
			}
			set
			{
				if ((this._email != value))
				{
					this.OnemailChanging(value);
					this.SendPropertyChanging();
					this._email = value;
					this.SendPropertyChanged("email");
					this.OnemailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_username", DbType="VarChar(50)")]
		public string username
		{
			get
			{
				return this._username;
			}
			set
			{
				if ((this._username != value))
				{
					this.OnusernameChanging(value);
					this.SendPropertyChanging();
					this._username = value;
					this.SendPropertyChanged("username");
					this.OnusernameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_password", DbType="VarChar(50)")]
		public string password
		{
			get
			{
				return this._password;
			}
			set
			{
				if ((this._password != value))
				{
					this.OnpasswordChanging(value);
					this.SendPropertyChanging();
					this._password = value;
					this.SendPropertyChanged("password");
					this.OnpasswordChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="prof_Cour", Storage="_Cours", ThisKey="IdProf", OtherKey="IdProf")]
		public EntitySet<Cour> Cours
		{
			get
			{
				return this._Cours;
			}
			set
			{
				this._Cours.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_Cours(Cour entity)
		{
			this.SendPropertyChanging();
			entity.prof = this;
		}
		
		private void detach_Cours(Cour entity)
		{
			this.SendPropertyChanging();
			entity.prof = null;
		}
	}
}
#pragma warning restore 1591
